import { $httpWithMsg } from "../../plugins/axios";
import { QUESTION_API } from "@/constants/constants.js";

export const paperPageListApi = (datas) => {
  return $httpWithMsg.get(
    `${QUESTION_API}/importPaper/${datas.pageNumber}/${datas.pageSize}`,
    {
      params: datas,
    }
  );
  // return $httpWithMsg.post(`${QUESTION_API}/user/assignteacher/1/100`, datas);
};
export const courseQueryApi = (name, enable) => {
  return $httpWithMsg.get(`${QUESTION_API}/course/query`, {
    params: {
      name,
      enable: enable || undefined,
    },
  });
};
export const synthesisBuildPaperApi = (datas) => {
  return $httpWithMsg.post(`${QUESTION_API}/user/assignteac`, datas);
};
